Bug 242188 - games/tome4: fix build on GCC architectures
Summary: games/tome4: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-24 12:50 UTC by Piotr Kubaj
Modified: 2019-12-09 12:25 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lifanov)


Attachments
patch (676 bytes, patch)
2019-11-24 12:50 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (lifanov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-24 12:50:57 UTC
Created attachment 209383 [details]
patch

Use C++11 compiler:
==== Building te4-wfc (release) ====
lua_wfc.cpp
g++ -O2 -pipe  -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc9  -Wl,-rpath=/usr/local/lib/gcc9  -O2 -pipe  -fstack-protector-strong -Wl,-rpath=/usr/local/lib/gcc9 -fno-strict
-aliasing -std=gnu89   -MMD -MP -DGLEW_STATIC -DNDEBUG=1 -I../src -I../src/luasocket -I../src/fov -I../src/expat -I../src/lxp -I../src/libtcod_import -I../src/physfs -I../src/zlib -I
../src/bzip2 -I../src/lua -I../../../../../../../../include  -pthread -O3 -std=c++11  -o "../obj/Release/te4-wfc/lua_wfc.o" -MF ../obj/Release/te4-wfc/lua_wfc.d -c "../src/wfc/lua_wf
c.cpp"
cc1plus: warning: command line option "-std=gnu89" is valid for C/ObjC but not for C++
cc1plus: error: unrecognized command line option "-std=c++11"
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-27 08:20:59 UTC
Approved as mentor pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-12-09 12:25:19 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Dec  9 12:24:36 UTC 2019
New revision: 519604
URL: https://svnweb.freebsd.org/changeset/ports/519604

Log:
  games/tome4: fix build on GCC architectures

  Use C++11 compiler:
  ==== Building te4-wfc (release) ====
  lua_wfc.cpp
  g++ -O2 -pipe  -fstack-protector-strong -O2 -pipe  -fstack-protector-strong -fno-strict -aliasing -std=gnu89 -MMD -MP -DGLEW_STATIC -DNDEBUG=1 -I../src -I../src/luasocket -I../src/fov -I../src/expat -I../src/lxp -I../src/libtcod_import -I../src/physfs -I../src/zlib -I../src/bzip2 -I../src/lua -I../../../../../../../../include  -pthread -O3 -std=c++11  -o "../obj/Release/te4-wfc/lua_wfc.o" -MF ../obj/Release/te4-wfc/lua_wfc.d -c "../src/wfc/lua_wfc.cpp"
  cc1plus: warning: command line option "-std=gnu89" is valid for C/ObjC but not for C++
  cc1plus: error: unrecognized command line option "-std=c++11"

  PR:		242188
  Approved by:	lifanov (maintainer timeout)

Changes:
  head/games/tome4/Makefile